[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TListBoxStyle

Determines how items are drawn in a list box control.

## Declaration

Source position: stdctrls.pp line 528

`type TListBoxStyle = (`
`lbStandard,` |  | Items drawn by the widgetset class.
`lbOwnerDrawFixed,` |  | Items drawn by user code, and all items have the same height.
`lbOwnerDrawVariable,` |  | Items drawn by user code, and each item can have a different height.
`lbVirtual` |  | Not used in the current LCL version.
`);`

## Description

TListBoxStyle is an enumerated type with values that determine how items in the list box control are populated and drawn. TListBoxStyle is the type used to implement the Style property in TCustomListBox.

## See also

TCustomListBox.Items |  | The list of all items defined in the control.
TCustomListBox.Style |  | Appearance of the list box (standard, owner-draw fixed, or owner-draw variable).